path: /build/build/funtoo-kits-seed-0.20240830.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=10
  - GIT_HISTORY_ENTRIES=3000
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  - LUET_YES=true
  - LUET_NOLOCK=true
  prelude:
  - mv kits-versions / && curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh && luet install --sync-repos system/luet-devkit dev-util/pkgs-checker-minimal
    utils/yq && luet install system/entities --sync-repos && luet upgrade && luet
    cleanup && ego sync && cd /var/git/meta-repo/kits && chown root:root -R /var/git/meta-repo/kits
    && ls -l && for i in $(ls .) ; do echo $i ; if [ -e /kits-versions/$i.yml ] ;
    then hash=$(yq r /kits-versions/$i.yml 'commit') ; echo "For kit $i set hash $hash"
    ; pushd $i ; git pull -ff --depth=$GIT_HISTORY_ENTRIES ; git checkout $hash ||
    exit 1 ; popd ; fi ; done && chown portage:portage -R /var/git/meta-repo/kits
  - cp patches/libical-3.0.11.ebuild /var/git/meta-repo/kits/core-kit/dev-libs/libical/
    && cd /var/git/meta-repo/kits/core-kit/dev-libs/libical && ebuild libical-3.0.11.ebuild
    digest
  - sh patches4funtoo.sh && sh patches4macaroni.sh
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bc4f61f204063443f52032b4ab3a4d106b1bab29f7069832be089a1e5c734379
  package:
    id: 0
    name: funtoo-kits
    version: "0.20240830"
    category: seed
    useflags: []
    state: ""
    packagerequires:
    - id: 0
      name: funtoo-stage3
      version: '>=0'
      category: seed
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: 2024-08-30 17:43:13.167026451 +0000 UTC m=+562.636606112
    labels: {}
    treedir: /build/packages
    repository: ""
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  id: 0
  name: funtoo-kits
  version: "0.20240830"
  category: seed
  useflags: []
  state: ""
  packagerequires: []
  packageconflicts: []
  provides: []
  hidden: false
  annotations: {}
  path: ""
  description: ""
  uri: []
  license: ""
  buildtimestamp: ""
  labels: {}
  treedir: ""
  repository: ""
